How to assign make2d output to layers

Rajaa, I made a YT with a repeatable example yesterday - it may be on @GregArden’s pile.
Nope it’s yours! https://mcneel.myjetbrains.com/youtrack/issue/RH-49907

-Pascal

Hi Rajaa,

Pascal is on the case re. the make2d issues we’re having. He has an example file.

for an example of the kind of thing that would help re. the layout tabs, have a look at the attached file.

if for example we want to work on the last tab, to get back to the model requires a LOT of scrolling!tabs example.3dm (9.3 MB)

small things that would make our life easier would be additional options in the tab copy dialogue, like an option to name that copied tab. that slow double click to rename would also make renaming a load of tabs way easier.

John.

I would love it if I could have a tab named for example - client dwgs, and then drop 10 tabs into this tab and be able to expand/collapse this group of tabs. basically the same as the layer tree but for layout tabs.

I didn’t find it confusing, or hard to understand and I miss it! I don’t see why you would eliminate the options to customize what layers you can put make2d objects on. IMHO this was not an improvement.

Dennis

1 Like

@john11, @dmoyes - would it make sense to have the Make2d output layers handled at the document properties level? That way it could be set in a template or modified as needed from a default set. My guess of the moment is that unless using defaults, the layers might have to exist in the document before being set.

-Pascal

1 Like

Hi Pascal,

Yes, that would be great. Seems a sensible place for it.

Many thanks,

John

Hello John11

sorry for being late on this topic,

this is the sample that worked for me on V5:
( based on the info received on this forum from Helvetosaur )

I did’t try anything similar on V6

import rhinoscriptsyntax as rs
import scriptcontext as sc

def make2D_test():


arrObjects=rs.GetObjects("Select Model for sections:",rs.filter.polysurface )

if not rs.IsLayer("VISIBLE"):
    rs.AddLayer("VISIBLE",(255,255,255)) 
    rs.LayerLinetype("VISIBLE","Continuous")
if not rs.IsLayer("HIDDEN"):
    rs.AddLayer("HIDDEN",(255,0,0)) 
    rs.LayerLinetype("HIDDEN","Dashed")

if arrObjects:
        
    rs.UnselectAllObjects()
    rs.SelectObjects(arrObjects)
    rs.Command ("-_Make2D DrawingLayout=CurrentCPlane " +
                "_ShowTangentEdges=No " +
                "_CreateHiddenLines=Yes " +
                "_MaintainSourceLayers=No " +
                '_VisibleLineLayer "VISIBLE" ' +
                '_HiddenLineLayer "HIDDEN" ' +
                "_Enter ", echo=False)
                   
make2D_test()

I have a “wish” regarding make2D too -

Is there a way to join the result curves produced by make2d per input object?

Something like ‘JoinCurves’ option in ‘Section’ command?
I know it is in general difficult, especially in the isometric scenes, but for orthogonal views it would be great help for later work on the created views

Any hint on this subject is appreciated

BR
Aleksandar

Hi Alexsandar,

Thanks for the reply.

I’m not sure this script will work with V6, as the options are no longer available in the dialogue box, but many thanks in any case.

I agree that it would be good to have the make2d result joinable if posisble.

John.

We’ve had this “wish” on our list for a while now: RH-43678